Subject: bug#53636: 29.0.50; face-remapping broken on master

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Feb 2022 09:01:27 +0100

Eli Zaretskii <[email-masked]> writes:

> So: in the scenario you've shown, do we want *scratch* to have its
> mode-line remapped on the new frame, or don't we?  IOW, I agree that
> the result ideally shouldn't depend on the buffer where make-frame is
> called, but I need to know what is the desired behavior in order to
> find code which produces the undesired results.

Yes, I don't think that the results in the new frame should depend on
the current buffer when `make-frame' is called.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no